Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryGetSkipInfo

check if viewer wrote a `.info` file

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetSkipInfo(PetscViewer viewer, PetscBool *skip)

Not Collective

## Input Parameter

- viewer - `PetscViewer` context, obtained from `PetscViewerBinaryOpen()`

## Output Parameter

- skip - `PETSC_TRUE` implies the `.info` file was not generated

## Note

This must be called after `PetscViewerSetType()`

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetDescriptor()`, `PetscViewerBinarySetSkipOptions()`, `PetscViewerBinarySetSkipInfo()`, `PetscViewerBinaryGetInfoPointer()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

## Implementations

PetscViewerBinaryGetSkipInfo_Binary() in src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages